> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Account

Creates a new Account for an Entity, either `ach` or `liability`, based on
the parameters provided. An account is a unique
representation of an [ACH](https://docs.methodfi.com/2026-03-30/reference/accounts/overview.md#ach)
or [Liability](https://docs.methodfi.com/2026-03-30/reference/accounts/overview.md#liability) account.

> [!WARNING]
>
> Creating Liability Accounts directly is only supported on a case-by-case basis.
> If you need to create a Liability Account, contact your Method CSM.

## Body

## Returns

Returns an Account object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "holder_id": "ent_y1a9e1fbnJ1f3",
    "ach": {
      "routing": "367537407",
      "number": "57838927",
      "type": "checking"
    }
  }'
```

```javascript Node.js theme={null}
const account = await method
  .accounts
  .create({
    holder_id: 'ent_y1a9e1fbnJ1f3',
    ach: {
      routing: '367537407',
      number: '57838927',
      type: 'checking',
    },
  });
```

```python Python theme={null}
account = method
  .accounts
  .create({
    'holder_id': 'ent_y1a9e1fbnJ1f3',
    'ach': {
      'routing': '367537407',
      'number': '57838927',
      'type': 'checking'
    }
  })
```

```json theme={null}
{
  "id": "acc_BcRdHNjb9TYKV",
  "holder_id": "ent_wUzi83DJdx99e",
  "status": "active",
  "type": "ach",
  "ach": {
    "routing": "367537407",
    "number": "57838927",
    "type": "checking"
  },
  "latest_verification_session": "avf_7WGUjnFLcipRm",
  "products": [
    "payment"
  ],
  "restricted_products": [],
  "error": null,
  "metadata": null,
  "created_at": "2023-10-23T06:25:56.500Z",
  "updated_at": "2023-10-23T06:25:56.500Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.